FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Ubuntu > Ubuntu Kernel Team

 
 
LinkBack Thread Tools
 
Old 07-05-2012, 12:46 PM
Andy Whitcroft
 
Default getabis should be extracting all packages

We should be extracting both the linux-image and linux-image-extras
packages when calculating the ABI and module lists.

BugLink: http://bugs.launchpad.net/bugs/1021174
Signed-off-by: Andy Whitcroft <apw@canonical.com>
---
debian/scripts/misc/getabis | 37 ++++++++++++++++++++++++++++---------
1 file changed, 28 insertions(+), 9 deletions(-)

diff --git a/debian/scripts/misc/getabis b/debian/scripts/misc/getabis
index 708b7b2..b35639c 100755
--- a/debian/scripts/misc/getabis
+++ b/debian/scripts/misc/getabis
@@ -23,6 +23,10 @@ fwinfo=$abidir/fwinfo

test -d $tmpdir || mkdir $tmpdir

+package_prefixes() {
+ __package_prefixes="$@"
+}
+
getall() {
arch=$1
shift
@@ -35,17 +39,30 @@ getall() {
continue
fi
echo -n "Fetching $sub..."
- filename=linux-image-${verabi}-${sub}_${verfull}_${arch}.deb
+ prefixes=""
+ filenames=""
cd $tmpdir
- for r in "${repo_list[@]}"
+ for prefix in $__package_prefixes
do
- if ! [ -f $filename ]; then
- $WGET $r/$filename
- fi
+ filename=${prefix}-${verabi}-${sub}_${verfull}_${arch}.deb
+ for r in "${repo_list[@]}"
+ do
+ if ! [ -f $filename ]; then
+ $WGET $r/$filename
+ fi
+ if [ -f $filename ]; then
+ prefixes="$prefixes $prefix"
+ filenames="$filenames $filename"
+ break
+ fi
+ done
done
- if [ "$?" = "0" ]; then
- echo -n "extracting..."
- dpkg-deb --extract $filename tmp
+ if [ "$filenames" != "" ]; then
+ echo -n "extracting$prefixes..."
+ for filename in $filenames
+ do
+ dpkg-deb --extract $filename tmp
+ done
find tmp -name "*.ko" | while read f; do
modinfo $f | grep ^firmware >> $fwinfo
done
@@ -71,7 +88,7 @@ getall() {
version=`cat $abidir/$arch/$sub.compiler`
echo -n "$version..."
)
- rm -rf tmp $filename
+ rm -rf tmp $filenames
echo "done."
else
echo "FAILED."
@@ -89,6 +106,8 @@ echo $abi > $abidir/abiname
# NOTE: The flavours are hardcoded, because they may have changed from the
# current build.

+__package_prefixes="linux-image"
+
. $DEBIAN/etc/getabis

compilers=`cat $abidir/*/*.compiler | sort -u | wc -l`
--
1.7.9.5


--
kernel-team mailing list
kernel-team@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/kernel-team
 
Old 07-05-2012, 12:46 PM
Andy Whitcroft
 
Default getabis should be extracting all packages

We should be extracting both the linux-image and linux-image-extras
packages when calculating the ABI and module lists.

BugLink: http://bugs.launchpad.net/bugs/1021174
Signed-off-by: Andy Whitcroft <apw@canonical.com>
---
debian/scripts/misc/getabis | 37 ++++++++++++++++++++++++++++---------
1 file changed, 28 insertions(+), 9 deletions(-)

diff --git a/debian/scripts/misc/getabis b/debian/scripts/misc/getabis
index 708b7b2..b35639c 100755
--- a/debian/scripts/misc/getabis
+++ b/debian/scripts/misc/getabis
@@ -23,6 +23,10 @@ fwinfo=$abidir/fwinfo

test -d $tmpdir || mkdir $tmpdir

+package_prefixes() {
+ __package_prefixes="$@"
+}
+
getall() {
arch=$1
shift
@@ -35,17 +39,30 @@ getall() {
continue
fi
echo -n "Fetching $sub..."
- filename=linux-image-${verabi}-${sub}_${verfull}_${arch}.deb
+ prefixes=""
+ filenames=""
cd $tmpdir
- for r in "${repo_list[@]}"
+ for prefix in $__package_prefixes
do
- if ! [ -f $filename ]; then
- $WGET $r/$filename
- fi
+ filename=${prefix}-${verabi}-${sub}_${verfull}_${arch}.deb
+ for r in "${repo_list[@]}"
+ do
+ if ! [ -f $filename ]; then
+ $WGET $r/$filename
+ fi
+ if [ -f $filename ]; then
+ prefixes="$prefixes $prefix"
+ filenames="$filenames $filename"
+ break
+ fi
+ done
done
- if [ "$?" = "0" ]; then
- echo -n "extracting..."
- dpkg-deb --extract $filename tmp
+ if [ "$filenames" != "" ]; then
+ echo -n "extracting$prefixes..."
+ for filename in $filenames
+ do
+ dpkg-deb --extract $filename tmp
+ done
find tmp -name "*.ko" | while read f; do
modinfo $f | grep ^firmware >> $fwinfo
done
@@ -71,7 +88,7 @@ getall() {
version=`cat $abidir/$arch/$sub.compiler`
echo -n "$version..."
)
- rm -rf tmp $filename
+ rm -rf tmp $filenames
echo "done."
else
echo "FAILED."
@@ -89,6 +106,8 @@ echo $abi > $abidir/abiname
# NOTE: The flavours are hardcoded, because they may have changed from the
# current build.

+__package_prefixes="linux-image"
+
. $DEBIAN/etc/getabis

compilers=`cat $abidir/*/*.compiler | sort -u | wc -l`
--
1.7.9.5


--
kernel-team mailing list
kernel-team@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/kernel-team
 

Thread Tools




All times are GMT. The time now is 04:44 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org